<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Pp;

class PpController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getIndex()
    {   
         $about=Pp::where('id','=',1)->first();
        return view('Admin.Policy&Procedure')->with('aa', $about);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {   

        if(Pp::count()==0){
             $save= new Pp;
        $save->policy=$request->policy;
        $save->policy_nepali=$request->policy_nepali;
        $save->p_procedure=$request->p_procedure;
         $save->p_procedure_nepali=$request->p_procedure_nepali;
          $save->token=AdminlogController::getToken('Pp');
         $save->save();
     }else{
          $data = array(
              
                'policy' => $request->input('policy'),
                'policy_nepali' => $request->input('policy_nepali'),
                'p_procedure' => $request->input('p_procedure'),
                'p_procedure_nepali' => $request->input('p_procedure_nepali'),
               
               
                
               
            );

          Pp::where('id','=',1)->update($data);
     }
       

         return redirect('admin_pp')->with('info', 'Datas Saved Successfully!');

    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
